commit:     9bfe05eef83f4f61bfbbafb2a0cbfb5d5b041d6d
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sun May  4 14:14:33 2025 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sun May  4 14:14:33 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9bfe05ee

dev-python/sjcl: enable py3.13, pypy3_11

Closes: https://bugs.gentoo.org/937361
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-python/sjcl/sjcl-0.2.1-r1.ebuild | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/dev-python/sjcl/sjcl-0.2.1-r1.ebuild 
b/dev-python/sjcl/sjcl-0.2.1-r1.ebuild
index cf1c76682..ac38542d8 100644
--- a/dev-python/sjcl/sjcl-0.2.1-r1.ebuild
+++ b/dev-python/sjcl/sjcl-0.2.1-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2021-2022 Gentoo Authors
+# Copyright 2021-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{11..12} )
+PYTHON_COMPAT=( python3_{11..13} pypy3_11 )
 DISTUTILS_USE_PEP517=setuptools
 inherit distutils-r1
 
@@ -20,12 +20,11 @@ LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64"
 
-RDEPEND="
-       dev-python/pycryptodome[${PYTHON_USEDEP}]
-"
+RDEPEND="dev-python/pycryptodome[${PYTHON_USEDEP}]"
 DEPEND="${RDEPEND}"
 
+distutils_enable_tests unittest
+
 python_test() {
-       # Uses unittest which is builtin
-       "${EPYTHON?}" tests/simple.py || die
+       "${EPYTHON}" -m unittest -v tests.simple || die
 }

Reply via email to